org.apache.lucene.analysis.miscellaneous

## Class LimitTokenPositionFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.miscellaneous.LimitTokenPositionFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class LimitTokenPositionFilter
      extends TokenFilter

  This TokenFilter limits its emitted tokens to those with positions that are not greater than the configured limit.

  By default, this filter ignores any tokens in the wrapped `TokenStream` once the limit has been exceeded, which can result in `reset()` being called prior to `incrementToken()` returning `false`. For most `TokenStream` implementations this should be acceptable, and faster then consuming the full stream. If you are wrapping a `TokenStream` which requires that the full stream of tokens be exhausted in order to function properly, use the `consumeAllTokens` option.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitTokenPositionFilter(TokenStream in, int maxTokenPosition)` Build a filter that only accepts tokens up to and including the given maximum position.
    `LimitTokenPositionFilter(TokenStream in, int maxTokenPosition, boolean consumeAllTokens)` Build a filter that limits the maximum position of tokens to emit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()`
    `void` | `reset()`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LimitTokenPositionFilter

          public LimitTokenPositionFilter(TokenStream in,
                                          int maxTokenPosition)

      Build a filter that only accepts tokens up to and including the given maximum position. This filter will not consume any tokens with position greater than the maxTokenPosition limit.
      Parameters:
        `in` - the stream to wrap
        `maxTokenPosition` - max position of tokens to produce (1st token always has position 1)
      See Also:
        `LimitTokenPositionFilter(TokenStream,int,boolean)`

    - #### LimitTokenPositionFilter

          public LimitTokenPositionFilter(TokenStream in,
                                          int maxTokenPosition,
                                          boolean consumeAllTokens)

      Build a filter that limits the maximum position of tokens to emit.
      Parameters:
        `in` - the stream to wrap
        `maxTokenPosition` - max position of tokens to produce (1st token always has position 1)
        `consumeAllTokens` - whether all tokens from the wrapped input stream must be consumed even if maxTokenPosition is exceeded.

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `TokenFilter`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.